/* ===== Premium Custom Select ===== */
:root {
    --select-bg: #1e293b!important;
    --select-text: #c7d2e5!important;
    --select-bg-dropdown:#141c29!important;
}




.select-wrapper {
    max-width: 280px;
    position: relative;
    font-family: "Inter", system-ui, -apple-system, sans-serif;
}

/* Контейнер */
.custom-select {
    position: relative;
    user-select: none;
}

/* Trigger */
.select-trigger {
    all: unset;
    display: flex;
    justify-content: space-between;
    align-items: center;
    background: var(--select-bg);
    border-radius: 10px;
    cursor: pointer;
    transition: border .25s ease, box-shadow .25s ease;
    box-shadow: 0 10px 25px rgba(0,0,0,.08);
}


.select-trigger.large {
    padding: 14px 18px;
}

.select-trigger.medium {
    padding: 7px 12px;
}

.select-trigger.small {
    padding: 3px 12px;
    border: 1px solid rgba(255, 255, 255, 0.08);
}

.select-trigger:hover {
    border-color: #6366f1;
    box-shadow: 0 16px 35px rgba(99,102,241,.25);
}

.select-trigger:focus-visible {
    outline: none;
    border-color: #4f46e5;
    box-shadow: 0 0 0 3px rgba(79,70,229,.25);
}

/* Value */
.select-value {
    font-size: 14px;
    font-weight: 500;

}

/* Arrow */
.select-arrow {
    width: 18px;
    height: 18px;
    fill: none;
    stroke: whitesmoke;
    stroke-width: 2;
    transition: transform .3s ease;
}

/* Dropdown */
.select-dropdown {
    position: absolute;
    top: calc(100% + 10px);
    left: 0;
    width: 100%;

    background: #141c29;
    border: 1px solid rgba(255, 255, 255, 0.08);
    border-radius: 12px;
    box-shadow: 0 10px 30px rgba(0, 0, 0, 0.4);

    overflow: hidden;

    opacity: 0;
    transform: translateY(-10px);
    pointer-events: none;
    transition: opacity .25s ease, transform .25s ease;
    z-index: 100;
}

/* Option */
.select-option {
    padding: 14px 18px;
    font-size: 14px;
    font-weight: 500;
    color: #cfd8e3;
    cursor: pointer;

    transition: background .2s ease, color .2s ease;
}

.select-option {
    padding: 4px 18px;
    font-size: 14px;
    font-weight: 500;
    color: #cfd8e3;
    cursor: pointer;

    transition: background .2s ease, color .2s ease;
}

.select-option::before {
    content: "";
    width: 6px;
    height: 6px;
    border-radius: 50%;
    background: #ffffff69;
    margin-right: 6px;
    opacity: .9;
    display: inline-block;
}




.select-option:hover {
    background: rgba(255, 255, 255, 0.06);
    color: #ffffff!important;
}

/* Open state */
.custom-select.open .select-dropdown {
    opacity: 1;
    transform: translateY(0);
    pointer-events: auto;
}

.custom-select.open .select-arrow {
    transform: rotate(180deg);
}
